Print Friendly

# Class Ext.KeyNav

Package: | Ext
Class: | KeyNav
Extends: | Object
Defined In: | KeyNav.js

Provides a convenient wrapper for normalized keyboard navigation. KeyNav allows you to bind navigation keys to function calls that will get called when the keys are pressed.
Usage:

    var nav = new Ext.KeyNav("my-element", {
        "left" : function(e){
            this.moveLeft(e.ctrlKey);
        },
        "right" : function(e){
            this.moveRight(e.ctrlKey);
        },
        "enter" : function(e){
            this.save();
        },
        scope : this
    });

Properties - Methods - Events

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| KeyNav(`String/HTMLElement/Ext.Element el`, `Object config`) | KeyNav
| disable() : void | KeyNav
Disable this KeyNav
| enable() : void | KeyNav
Enable this KeyNav

## Public Events

This class has no public events.

## Constructor Details

### KeyNav

`public function KeyNav(`String/HTMLElement/Ext.Element el`, `Object config`)`
Parameters:

- `el` : String/HTMLElement/Ext.Element
  The element to bind to
- `config` : Object
  The config

## Method Details

### disable

`public function disable()`
Disable this KeyNav
Parameters:

- None.

Returns:

- `void`

This method is defined by KeyNav.

### enable

`public function enable()`
Enable this KeyNav
Parameters:

- None.

Returns:

- `void`

This method is defined by KeyNav.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.